<?php

	date_default_timezone_set('America/Costa_Rica');
	error_reporting(E_ALL);
	
	ini_set('display_errors', 1);  
	
	
if (file_exists('mensaje.xml')) {
 	 $tipmoneda="";
	 $tipcamdol = 0;
    $xml = simplexml_load_file('mensaje.xml');
	
	
	$versionFactura="";
	// nos da todos los namespaces utilizados en el XML.
$namespace = $xml->getNamespaces(true);

// extraer la versión: Utilizamos preg_match para extraer la versión de la URL del espacio de nombres, buscando el patrón v4.3 o v4.4 (u otras versiones en formato vX.X).
preg_match('/v(\d+\.\d+)/', $namespace[''], $matches);

// Mostrar la versión
if (isset($matches[1])) {
		$versionFactura=$matches[1];
    echo "La version de la factura electronica es: " . $matches[1];
} else {
    echo "No se pudo determinar la version del XML.";
}



	
	$cdgclavecomp     = $xml->Clave;
	$numcomp          = $xml->NumeroConsecutivo;
	$feccomp          = $xml->FechaEmision;
	$dscnomemi        = $xml->Emisor -> Nombre;
	$numcedemi        = $xml->Emisor -> Identificacion -> Numero;
	$cedtipemi        = $xml->Emisor -> Identificacion -> Tipo;
	$dscnomrec        = $xml->Receptor -> Nombre;
	$numcedrec        = $xml->Receptor -> Identificacion ->Numero;
	$cedtiprec        = $xml->Receptor -> Identificacion ->Tipo;

    $feccomp          = substr($feccomp, 0,19);  
    $feccorcomp       = substr($feccomp, 0,10); 

	$totcomp      = $xml->ResumenFactura  -> TotalComprobante;
	$monimp       = $xml->ResumenFactura  -> TotalImpuesto;
	$totdes       = $xml->ResumenFactura  -> TotalDescuentos;
	$subtot       = $xml->ResumenFactura  -> TotalVenta;	
	$totalgravado = $xml-> ResumenFactura -> TotalGravado;
	$totalexento  = $xml-> ResumenFactura -> TotalExento;
	
	

			if ($xml->ResumenFactura ->CodigoTipoMoneda->CodigoMoneda<>""){ // si trae el nodo
			
			$tipmoneda = $xml->ResumenFactura ->CodigoTipoMoneda->CodigoMoneda;
			$tipcamdol = $xml->ResumenFactura ->CodigoTipoMoneda->TipoCambio;
			
	
		}

		

	$tipocomprobante = substr("$numcomp",8,2);           // Asignacion tipo comprobante 
	
	 if ($tipocomprobante == "01") {     $tipcom =  "FAC";
	}elseif ($tipocomprobante == "02") { $tipcom =  "ND";
	}elseif ($tipocomprobante == "03") { $tipcom =  "NC";
	}elseif ($tipocomprobante == "04") { $tipcom =  "FAC";
	}
 	
		/*Impuestos*/
	  $IMP_I0R =  0 ;
	  $IMP_I1R =  0 ;
	  $IMP_I2R =  0 ;
	  $IMP_I4R =  0 ;
	  $IMP_I0T =  0 ;
	  $IMP_I4T =  0 ;
	  $IMP_I8T =  0 ;
	  $IMP_I13 =  0;
	  
	   /*Subtotales*/
	  $SUB_TOTAL_I0R =  0 ;
	  $SUB_TOTAL_I1R =  0 ;
	  $SUB_TOTAL_I2R =  0 ;
	  $SUB_TOTAL_I4R =  0 ;
	  $SUB_TOTAL_I0T =  0 ;
	  $SUB_TOTAL_I4T =  0 ;
	  $SUB_TOTAL_I8T =  0 ;
	  $SUB_TOTAL_I13 =  0;
	  
  foreach($xml->DetalleServicio->LineaDetalle as $item){

	/*Impuestos*/
	 $I0R =  0;
	 $I1R =  0;
	 $I2R =  0;
	 $I4R =  0;
	 $I0T =  0;
	 $I4T =  0;
	 $I8T =  0;
	 $I13 =  0;
	  /*Subtotales*/
	 $SUB0R =  0;
	 $SUB1R =  0;
	 $SUB2R =  0;
	 $SUB4R =  0;
	 $SUB0T =  0;
	 $SUB4T =  0;
	 $SUB8T =  0;
	 $SUB13 =  0;
	 

	 if ($item->Impuesto->Monto >0){   // si el impuesto es mayor a 0

			
		$impuesto = $item->Impuesto->Monto;
				
			if ($versionFactura=="4.4"){
			
			$cdgtar   = $item->Impuesto->CodigoTarifaIVA;  // v4.4 CodigoTarifaIVA
			}else{
			
			$cdgtar   = $item->Impuesto->CodigoTarifa;  // v4.3 CodigoTarifa
			}
									
			  	//$cdgtar   = $item->Impuesto->CodigoTarifa;
				$SubTotal = $item->SubTotal;
			
		 		$impuesto = floatval($impuesto);
				$SubTotal = floatval($SubTotal);		

 		 if ($cdgtar == "01") { $I0R =  $impuesto; $SUB0R = $SubTotal;
	}elseif ($cdgtar == "02") { $I1R =  $impuesto; $SUB1R = $SubTotal;
	}elseif ($cdgtar == "03") { $I2R =  $impuesto; $SUB2R = $SubTotal;
	}elseif ($cdgtar == "04") { $I4R =  $impuesto; $SUB4R = $SubTotal;
	}elseif ($cdgtar == "05") { $I0T =  $impuesto; $SUB0T = $SubTotal;
	}elseif ($cdgtar == "06") { $I4T =  $impuesto; $SUB4T = $SubTotal;
	}elseif ($cdgtar == "07") { $I8T =  $impuesto; $SUB8T = $SubTotal;
	}elseif ($cdgtar == "08") { $I13 =  $impuesto; $SUB13 = $SubTotal;
	}
	
	   /*Impuestos*/
	  $IMP_I0R =  $IMP_I0R + $I0R ;
	  $IMP_I1R =  $IMP_I1R + $I1R ;
	  $IMP_I2R =  $IMP_I2R + $I2R ;
	  $IMP_I4R =  $IMP_I4R + $I4R ;
	  $IMP_I0T =  $IMP_I0T + $I0T ;
	  $IMP_I4T =  $IMP_I4T + $I4T ;
	  $IMP_I8T =  $IMP_I8T + $I8T ;
	  $IMP_I13 =  $IMP_I13 + $I13 ;	 

	  	   /*Subtotales*/
	  $SUB_TOTAL_I0R =  $SUB_TOTAL_I0R + $SUB0R;
	  $SUB_TOTAL_I1R =  $SUB_TOTAL_I1R + $SUB1R;
	  $SUB_TOTAL_I2R =  $SUB_TOTAL_I2R + $SUB2R;
	  $SUB_TOTAL_I4R =  $SUB_TOTAL_I4R + $SUB4R;
	  $SUB_TOTAL_I0T =  $SUB_TOTAL_I0T + $SUB0T;
	  $SUB_TOTAL_I4T =  $SUB_TOTAL_I4T + $SUB4T;
	  $SUB_TOTAL_I8T =  $SUB_TOTAL_I8T + $SUB8T;
	  $SUB_TOTAL_I13 =  $SUB_TOTAL_I13 + $SUB13;
	  
	  }
	  

}

} else {
    exit('No existe el archivo mi-archivo.xml');
}



date_default_timezone_set('America/Costa_Rica');

session_start();

 $usu=$_SESSION['username'];
 

		include('../conexion.php'); 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='s'  or $_SESSION['tipo_usu']=='c'  or $_SESSION['tipo_usu']=='v'){
		}else{
			header('location:error.php');
		}
		if($_SESSION['tipo_usu']=='a'){
			$titulo='SUPERVISOR';
		}else{
			$titulo='USUARIO';
		}
		
		
	
       $parametros_FE = "SELECT * FROM wc_parametros_fe ";
       $result_parametros_FE = $mysqli->query($parametros_FE);
       $row__FE = $result_parametros_FE->fetch_array();
     
	   $base_url =  $row__FE["UriLocalhost"];
	   
	   
	   
	   
$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
$resultado = $mysqli->query($consulta);
$row = $resultado->fetch_array();
$nomb = $row["usu"];

$cdgusu = $row["codusu"];




$hora = date("H:i:s");
$fecha=date("Y-m-d");
$fecmen = date("Y-m-d\TH:i:sP");

$cdgmen=$_POST["tipmen"];
$cdgtipocxp=$_POST["combotipocxp"];


   ///////////////////////////////////////  recibe tabla de parametros //////////////////////////////////////////////////
   
       $parametros = "SELECT * FROM web_0000 ";
       $result_parametros = $mysqli->query($parametros);
       $row_para = $result_parametros->fetch_array();
     

	   $casmat =  $row_para["CASMAT"];
	   $cdgter =  $row_para["CDGTER"];
	   $cedemp =  $row_para["CEDJUR"];
	   $cedemp = sprintf("%012d", $cedemp); 
	   $cdgpais =  $row_para["CDGPAISEMP"];
	 //  $tipcamdol =  $row_para["tipcamdol"];
	 //  $tipmoneda =  $row_para["tipmoneda"];
	   $cdgseghac =  mt_rand(10000000 , 99999999);  // se agrega en la version 4.4
	   $nummensaje =  $row_para["nummensaje"];
	   $tarimpvta =  $row_para["tarimp"];
	   $nummensaje  =  $nummensaje + 1;
	   $nummensaje = sprintf("%010d", $nummensaje); 

	   
	   if ($cdgmen==01){
	       $tipo_comprobante="05";      
		   $detmen="Aceptado";         
	      } elseif ($cdgmen=="02"){
		   $tipo_comprobante="06";
	       $detmen=strtoupper($_POST["motrec"]);   
		     } elseif ($cdgmen=="03"){
		   $tipo_comprobante="07";  
	       $detmen=strtoupper($_POST["motrec"]);  
	    				}
						
	   $feccla= date("dmy");
	   $situacion_comprobante = 1;     //   ???????????????????????????????????????????????
	   $numcompmen =  $casmat.$cdgter.$tipo_comprobante.$nummensaje ;   // factura electronica
	   //$numcomp =  $numfactura ;
	   $cdgclavemen =  $cdgpais.$feccla.$cedemp. $numcompmen.$situacion_comprobante.$cdgseghac;
	  
	    

	//************************************************ Seleción del plazo del cliente *********************************


$dscnomemi = str_replace("á","A",$dscnomemi);
$dscnomemi = str_replace("é","E",$dscnomemi);
$dscnomemi = str_replace("í","I",$dscnomemi);
$dscnomemi = str_replace("ó","O",$dscnomemi);
$dscnomemi = str_replace("ú","U",$dscnomemi);
$dscnomemi = str_replace("ñ","Ñ",$dscnomemi);
$dscnomemi = str_replace("'"," ",$dscnomemi);
 $dscnomemi=strtoupper($dscnomemi); 
	  
	   
	   
if ($monimp == " ")   { $monimp  = 0 ; } 
	   	
	  
$query_operacion="INSERT INTO mensaje_receptor
 (codmen, cdgclavemen, numcompmen,cdgcxp, fecmen , cdgclavecomp, numcomp, feccomp, cdgmen, detmen, monimp,
   imptr0, imptr1, imptr2, imptr4, impts0, impts4, impts8, impg13,
  subtr0, subtr1, subtr2, subtr4, subts0, subts4, subts8, subg13,
   totcomp, numcedrec, cedtiprec, dscnomemi, numcedemi , cedtipemi  ,cdgusu , totdes, subtotgra, subtotexe,
    subtotal, feccorcomp , tipcom,tipmoneda,tipcamdol)
 VALUES ('', '$cdgclavemen', '$numcompmen','$cdgtipocxp', '$fecmen', '$cdgclavecomp', '$numcomp', '$feccomp','$cdgmen','$detmen','$monimp',
 '$IMP_I0R','$IMP_I1R','$IMP_I2R','$IMP_I4R','$IMP_I0T','$IMP_I4T','$IMP_I8T','$IMP_I13',
  '$SUB_TOTAL_I0R','$SUB_TOTAL_I1R','$SUB_TOTAL_I2R','$SUB_TOTAL_I4R','$SUB_TOTAL_I0T','$SUB_TOTAL_I4T','$SUB_TOTAL_I8T','$SUB_TOTAL_I13',
 '$totcomp','$numcedrec','$cedtiprec' ,'$dscnomemi' ,  '$numcedemi' ,  '$cedtipemi', '$cdgusu' , '$totdes', '$totalgravado', '$totalexento' ,'$subtot' , '$feccorcomp' ,   '$tipcom', '$tipmoneda', '$tipcamdol' )";	
  			
	$mysqli->query($query_operacion);
	$codmen= $mysqli-> insert_id ;

	$sel="UPDATE web_0000 SET nummensaje='$nummensaje' "; //// se suma el consecutivo a contado numfaccre
    $mysqli->query($sel);


?>
	<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function aceptar() {
			location.href="index.php";
		}
		
		
		setTimeout ("enviar_correo()",10000);
		
		
				function enviar_correo() 
			{
					window.open("../Enviar_Correo/enviar_correo.php?codfactura="+codfactura);
	
			}
		
		function imprimir(codmen) {
			  //  window.open("../fpdf/imprimir_factura_PUNTO_VENTA_SUPER.php?codfactura="+codfactura);
	//	window.open("../fpdf/imprimir_factura_TERMICA_SUPER.php?codfactura="+codfactura);
	
	//	window.open("../fpdf/imprimir_Original.php?codfactura="+codfactura);

	//    window.open("../FE/tiqueteElectronico/fe.php?f="+codfactura);
	window.open("../FE/mensajeReceptor/fe_mensaje.php?f="+codmen);
	//	window.open("../Enviar_Correo/enviar_correo.php?codfactura="+codfactura);
		//window.open("../FE/facturaEletronica/subir_xml_web.php?codfactura="+codfactura);
	window.open("../FE/mensajeReceptor/subir_xml_web.php?+codmen="+codmen);

				
		}
		

		
		
		  window.onkeydown = tecla;

  function tecla(event) {
  if(  event.keyCode ==13	) {    num = event.keyCode;

if(num==13)aceptar(); // f3  busqueda de clientes 

  }
	  }	
function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}
		
		
		function inicio(){
	   		
    document.getElementById("total2").focus();
}		
	

		</script>
<?php 
		




echo "<script>";
//echo "imprimir($codmen);";
echo "</script>";	


   //	     	file_get_contents("$base_url/FE/mensajeReceptor/fe_mensaje.php?f=$codmen");
   //          file_get_contents("$base_url/FE/mensajeReceptor/subir_xml_web.php?codmen=$codmen");
?>
</head>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
	<body onLoad="nobackbutton(); inicio()">
			<div id="zonaContenido">
         	<div class="contenidoPago">
			   <div align="center">
			     <table width="85%"  border="0">
			      <tr>
			        <td colspan="6">&nbsp;</td>
		          </tr>
			      <tr>
			        <td colspan="5"><div align="center">MENSAJE DE ACEPTACION REALIZADO </div></td>
			        <td width="1">&nbsp;</td>
		          </tr>
			      
			      
			      <tr>
			        <td width="89">&nbsp;</td>
			        <td width="3">&nbsp;</td>
			        <td width="61">&nbsp;</td>
			        <td width="68">&nbsp;</td>
			        <td width="480">&nbsp;</td>
			        <td>&nbsp;</td>
		          </tr>
		         </table>
			    <br> 
			    </br>
				<table width="100%" border="0">
  <tr>
    <td colspan="4">&nbsp;</td>
    </tr>
</table>

				
			    
			  </div>
				<div id="botonBusquedaAWR">					
				
				<div id="" align="center">
					<p><img src="../img/Symbol-Check_128x128-32.png" width="128" height="128" onClick="aceptar()" border="0" onMouseOver="style.cursor=cursor" title="Salir">				  </p>
					<p><span class="fuente_gracias"></span></p>
				</div>
				    
			   </div>
			  </div>
		  </div>
		</div>
	</body>
</html>
